#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie();

    int n, q;
    cin >> n >> q;
    vector<int> a;
    int broj;
    int b[q];

    int medijana = 0;
    for (int i = 0; i < n; i++)
    {
        cin >> broj;
        a.push_back(broj);
    }
    sort(a.begin(), a.end());
    medijana = n/2;

    int brojac = 0;
    vector <int> ::iterator v1;
    vector <int> ::iterator v2;
    int pozicija1 = 0;
    int pozicija2 = 0;
    for (int i = 0; i < q; i++)
    {
        cin >> b[i];
        if (a[medijana] == b[i])
        {
            cout << 0 << endl;
        }
        else
        {
            bool nasao = binary_search(a.begin(), a.end(), b[i]);
            if (nasao)
            {
                v1 = lower_bound(a.begin(), a.end(), b[i]);
                v2 = upper_bound(a.begin(), a.end(), b[i]);
                pozicija1 = v1 - a.begin();
                pozicija2 = v2 - a.begin() - 1;
            }
            else
            {
                v2 = upper_bound(a.begin(), a.end(), b[i]);
                pozicija2 = v2 - a.begin();
                pozicija1 = pozicija2;
            }

            if (n % 2 == 0)
            {
                if (nasao)
                {
                    if (pozicija2 <= medijana)
                    {
                        cout << (medijana - pozicija2) * 2 - 1 << endl;
                    }
                    else
                    {
                        cout << (pozicija1 - medijana) * 2 << endl;
                    }
                }
                else
                {
                    if (pozicija2 <= medijana)
                    {
                        cout << (medijana - pozicija2) * 2 + 1 << endl;
                    }
                    else
                    {
                        cout << (pozicija1 - medijana) * 2 << endl;
                    }
                }
            }
            else
            {
                if (nasao)
                {
                    if (pozicija2 <= medijana)
                    {
                        cout << (medijana - pozicija2) * 2 << endl;
                    }
                    else
                    {
                        cout << (pozicija1 - medijana) * 2 - 1 << endl;
                    }
                }
                else
                {
                    if (pozicija2 <= medijana)
                    {
                        cout << (medijana - pozicija2 + 1) * 2 << endl;
                    }
                    else
                    {
                        cout << (pozicija1 - medijana) * 2 - 1 << endl;
                    }
                }
            }
        }
    }



    return 0;
}